package com.duolebo.blyrobot.util

import com.duolebo.appbase.prj.bmtv.protocol.IProtocolConfig

class Config: IProtocolConfig {
    private val isDebug = false

    override fun getProtocolUrl(): String {
        if (isDebug)
            return "http://192.168.2.42:8080/manage/apkInfo/query.do"
        return "http://test.duolebo.com/staging/apkInfo/query.do"
    }

    override fun getTvid(): String {
        return ""
    }

    override fun getChannel(): String {
        return ""
    }

    fun getReportProtocolUrl(): String {
        if (isDebug)
            return "http://192.168.2.42:8080/manage/apkInfo/report.do"
        return "http://test.duolebo.com/staging/apkReport/report.do"
    }

    companion object {
        val instance = Config()
    }

}